Nouveau version stable opsi 4.1

Ce forum est dédié au nouveautés, événements autour du projet Opsi
otto
Beiträge: 33
Registriert: 08 Aug 2017, 12:16

Nouveau version stable opsi 4.1

Beitragvon otto » 09 Apr 2018, 17:56

Chers utilisateurs d'opsi,

je suis ravi de pouvoir annoncer la libération d'opsi 4.1 comme version stable.

L'accent étant mis sur:
Serveur opsi
  • Nouveau TFTPD: opsi-tftp-hpa
  • Nouveau instrument: opsi-package-updater
  • Chemin configurable de Workbench
  • L'instrument opsi-makeproductfile était renommé opsi-makepackage
  • Le paquet opsi-depotserver était renommé opsi-server
  • Ports configurable pour Wake-On-LAN
  • Paramètres par défaut sont changées
  • systemd comme seul système init soutenu
  • Python 2.7 comme prérequis

Système d'expoitation Windows installation (Produits Netbook) (aussi pour opsi 4.0)
  • Mode multidisk: Soutenu de l'installation sur systèmes avec plusieurs disques durs
  • Possibilité d'installer Möglichkeit spécifiquement sur la première disque SSD
  • Réglage mot de passe de l'administrateur sur une popriété

Nouveau extension opsi pour des écoles / salles de formation: opsi-vhd-reset (aussi pour opsi 4.0)
  • Récupération rapide de l'ordinateur de formation
  • Installation Windows 10 sur un fichier VHD.
  • Snapshot de l'état initial avec une Child-VHD qui mets au point tous changements.
  • Rétablissement rapide par échange du Child-VHD


Les paquets opsi (paquets-non-serveur) inclus dans ce libération seront publiés comme stable aussi pour opsi 4.0.
Vous trouvez informations complémentaires sur cette libération sur https://download.uib.de/opsi4.1/documentation/html/opsi-v4.1-releasenotes/opsi-v4.1-releasenotes.html.

Le développement continu va se concontrer désormais sur opsi 4.1.

opsi 4.0 sera-t-il maintenu encore désormais?
On va maintenir opsi 4.0 jusqu'au fin de 2018 et après le soutien prens fin.
Nous recommandons à tous utilisateurs d'opsi 4.0 de changer à opsi 4.1.

Les fautes d'opsi 4.0 seront-ils encore corrigées?
En principe, on va corriger les fautes d'opsi 4.0 et opsi 4.1.
Mais si la correction d'un erreur faut trop de temps, on vas - peut-être - seulement corriger la faute pour opsi 4.1.

Y aura-t-il des nouvelles fonctionnalités pour opsi 4.0?
On va décider au cas par cas si on va développer une fonctionnalité pour opsi 4.0.
Qui voudrait tous nouvelles fonctionallités devra changer à opsi 4.0.


Meilleures salutations

Niko Wenselowski
Zuletzt geändert von otto am 11 Apr 2018, 17:11, insgesamt 1-mal geändert.

kwade
Beiträge: 5
Registriert: 10 Apr 2018, 10:06

Re: Nouveau version stable opsi 4.1

Beitragvon kwade » 10 Apr 2018, 13:02

Bonjour,
Pouvez vous m'aider car je suis un peu perdue avec les mises à jour des paquets opsi.
D'abord je trouve pas les produits que j'ai crée dans le répertoire /var/lib/opsi/repository donc impossible de faire les mises à jour de ces produits et pourtant ils sont présents dans /var/lib/opsi/depot.

Comment faire pour que les clients contactent directement le serveur pour des eventuelles installations de paquets disponibles ou mises à jour automatiquement. c'est avec autoupdate et autosetup?

otto
Beiträge: 33
Registriert: 08 Aug 2017, 12:16

Re: Nouveau version stable opsi 4.1

Beitragvon otto » 11 Apr 2018, 17:30

Bonjour kwade,

comment est le message d'erreur quand vous essayez de mettre vos paquets à jour?

Pour mettre à jour vos propres paquets, faites à nouveau le setup.

Meilleures salutations,
otto

kwade
Beiträge: 5
Registriert: 10 Apr 2018, 10:06

Re: Nouveau version stable opsi 4.1

Beitragvon kwade » 13 Apr 2018, 13:36

Bonjour,
Merci poutre réponse.
Le message d'erreur était : paquets introuvables dans le dépôt. J'avais pas préciser à update dans quel dépôt il doit chercher les paquets
ET donc dans /etc/opsi/package-updater.repos.d/opsi-server.repo j'ai mis :
[repository_opsi_server]
active = true
opsiDepotId = nom_serveur_dépôt
autoInstall = true
autoUpdate = true
autoSetup = true
; Inherit ProductProperty defaults from given repository
inheritProductProperties = false

ET ça marche maintenant!!! C'est à dire que j'ai plus ce message d'erreur mais je vois pas de paquets mis à jours C'est toujours les mêmes versions.

otto
Beiträge: 33
Registriert: 08 Aug 2017, 12:16

Re: Nouveau version stable opsi 4.1

Beitragvon otto » 13 Apr 2018, 15:57

Bonjour kwade,

essayez d'installer vos paquets avec

Code: Alles auswählen

opsi-package-manager -i <paquet_opsi> -d <nom opsi du dépôt>

Comme ça, vous devrez trouvez ces produits dans le répertoire /var/lib/opsi/repository.
Si vous mettez dans /etc/opsi/package-updater.repos.d/opsi-server.repo:

Code: Alles auswählen

opsiDepotId = <nom opsi du dépôt>
,

tout devrait fonctionner!

kwade
Beiträge: 5
Registriert: 10 Apr 2018, 10:06

Re: Nouveau version stable opsi 4.1

Beitragvon kwade » 16 Apr 2018, 11:06

Bonjour otto,
oui j'ai essayé cette commande et maintenant je peux faire le opsi-package-updater. Merci beaucoup!!
Mais si j'ai par exemple une version firefox non mise à jour et que je souhaite la mettre à jour, comment faire ?
j'ai essayé cette commande opsi-package-updater -vv update firefox mais au final on me dit que firefox est la dernière version dans le repository.
Dois je installer à nouveau la nouvelle version manuellement dans le repository et après utiliser cette commande ?

r.roeder
Beiträge: 399
Registriert: 02 Jul 2008, 10:08

Re: Nouveau version stable opsi 4.1

Beitragvon r.roeder » 20 Apr 2018, 11:02

Bonjour,
kwade hat geschrieben:Bonjour otto,
Mais si j'ai par exemple une version firefox non mise à jour et que je souhaite la mettre à jour, comment faire ?
j'ai essayé cette commande opsi-package-updater -vv update firefox mais au final on me dit que firefox est la dernière version dans le repository.
Dois je installer à nouveau la nouvelle version manuellement dans le repository et après utiliser cette commande ?


L' package-updater compare la version locale et la version de la source comme elle est désignée dans le fichier product-updater.conf correspondant . Alors, pour obtenir une nouvelle version il faut qu' il y a cette version dans le /var/lib/opsi/repository de la source si la source est une serveur opsi ou dans le répertoire designé dans le fichier product-updater.conf. Il n' emporte comment le paquet nouveau est mis dans le répertoire de la source, peut-être, si le servour source est un serveur opsi aussi, par un command opsi-product-updater update .. se référant à un autre servuer.

Salutations
Rupert
opsi support - uib gmbh
For productive opsi installations we recommend maintainance + support contracts which are the base of opsi development.


Wondering who's using opsi? Have a look at the opsi map: http://opsi.org/opsi-map/.